Packages - Bug #1547

[qt5-quickcontrols2] cmake is confused about QtQuick version
2017-11-26 11:02 PM - bill-auger

Status: not-a-bug % Done: 0%
Priority: bug

Assignee:

Category:

Description

while compiloing a cmake-based program that requires 'qt5-quickcontrols
CMake Error at /usr/lib64/cmake/Qt5QuickControls2/Qt5QuickControls2Config.cmake:102 (find_package)

Could not find a configuration file for package "Qt5Quick" that is
compatible with requested version "5.9.3".

The following configuration files were considered but not accepted:
/usr/1ib64/cmake/Qt5Quick/Qt5QuickConfig.cmake, version: 5.9.2

Call Stack (most recent call first):
/usr/1ib64/cmake/Qt5/Qt5Config.cmake:28 (find_package)
CMakeLists.txt:91 (FIND_PACKAGE)

—-— Configuring incomplete, errors occurred!

$ sudo pacman -Ss gt5 | grep quick
extra/qt5-quickcontrols 5.9.3-1 (gt gtbh)
extra/qt5-quickcontrols2 5.9.3-1 (gt gt5) [installed]

the 'Qt5QuickConfig’ config file mentions only v5.9.2 and the directory /usr/include/qt/QtQuick/5.9.2 - /usr/include/qt/QtQuick/ has a
subdir for 5.9.2 but not for 5.9.3

that directory does not appear to be associated with the 'qt5-quickcontrols2' package though (or any package according to pkdfile)
and still exists after the 'gt5-quickcontrols2' package is removed

S grep 5.9.2 /usr/lib64/cmake/Qt5Quick/Qt5QuickConfig.cmake
"S${_gt5Quick_install_prefix}/include/qt/QtQuick/5.9.2"
"${_qgt5Quick_install_prefix}/include/qt/QtQuick/5.9.2/QtQuick"

5.9.2 ${_Qt5Quick_FIND_VERSION_EXACT}
_populate_Quick_target_properties (RELEASE "1ibQt5Quick.so.5.9.2" "" )

$ 1s /usr/include/qt/QtQuick/ | grep 5.9.
5.9.2

$ pkgfile /usr/include/qt/QtQuick/5.9.2/QtQuick/private/qquicktextnode_p.h
<empty>

$ pkgfile /usr/include/qgt/QtQuick/5.9.2/
<empty>

History

#1 - 2017-11-26 11:03 PM - bill-auger

- Description updated

#2 - 2017-11-26 11:22 PM - bill-auger
- Description updated

- Subject changed from [qt5-quickcontrols2] package v5.9.3 actually installs v5.9.2 - confuses cmake to [qt5-quickcontrols2] cmake is confused about
QtQuick version

#3 - 2017-11-26 11:29 PM - bill-auger
explicitly installing v5.9.2 from the archive allows the build to complete

https://archive.archlinux.org/packages/a/qt5-quickcontrols2/qt5-quickcontrols2-5.9.2-2-x86_64.pkg.tar.xz

#4 - 2018-01-17 06:04 PM - oaken-source

- Status changed from open to not-a-bug

gt5-quickcontrol* is provided by arch, and I'm not sure there is something we could fix here. I'm closing this as invalid for this reason, but feel free to
reopen.
